Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.cmapparser
Class CMapParser

    java.lang.Object
      org.pdfbox.cmapparser.CMapParser

public class CMapParser
extends Object

This will parser a CMap stream.

Version:
  $Revision: 1.10 $
Author:
  Ben Litchfield (ben@csh.rit.edu)

Constructor Summary
`CMapParser(InputStream in, RandomAccessFile raf)` Creates a new instance of CMapParser.

Method Summary
`CMap` | `getResult()` This will get the results of the parsing.
`static void` | `main(String[] args)` A simple class to test parsing of cmap files.
`void` | `parse()` This will parse the stream and create a cmap object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CMapParser

    public CMapParser(InputStream in,
                      RandomAccessFile raf)

  Creates a new instance of CMapParser.

Parameters:
  `in` - The input stream to read data from.
  `raf` - The random access file from the document

Method Detail

### getResult

    public CMap getResult()

  This will get the results of the parsing. parse() must be called first.

  Returns:
    The parsed CMap file.

### parse

    public void parse()
               throws IOException

  This will parse the stream and create a cmap object.

  Throws:
    `IOException` - If there is an error parsing the stream.

### main

    public static void main(String[] args)
                     throws Exception

  A simple class to test parsing of cmap files.

  Parameters:
    `args` - Some command line arguments.
  Throws:
    `Exception` - If there is an error parsing the file.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD